Bug 441230 - Can't access network with WEP key
Summary: Can't access network with WEP key
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F9Blocker
TreeView+ depends on / blocked
 
Reported: 2008-04-07 10:39 UTC by Bastien Nocera
Modified: 2008-04-10 16:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 16:13:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bastien Nocera 2008-04-07 10:39:31 UTC
NetworkManager-0.7.0-0.9.1.svn3521.fc9.i386

I use a 128-bit WEP key on my local network. The key is index 1.

NetworkManager can't connect, and will ask me for a new WEP key with "Key index:
2" already selected in the dialogue.

I set index 1 in the dialogue, but gnome-keyring-manager's record of the key, as
well as the output of iwconfig show me that it's using a completely different
key (iwconfig shows the key followed by '[2]').

This worked on rawhide about a week ago, and changing to a known working kernel
doesn't fix the problem.

Comment 1 Dan Williams 2008-04-08 17:30:26 UTC
I think there's a bug in applet svn < r647 that won't accept any indexes, I think.

Comment 2 Bastien Nocera 2008-04-08 19:04:35 UTC
I'm using:
NetworkManager-gnome-0.7.0-0.9.1.svn3521.fc9.i386

Comment 3 Dan Williams 2008-04-08 19:20:30 UTC
Yeah, can you give the NM svn3547 RPM a shot when it hits rawhide?

Comment 4 Bastien Nocera 2008-04-08 19:57:25 UTC
Build didn't quite finish it seems, but the i386 package managed to get through.
Working!

Adding to the F9Blocker so that it gets built and tagged for the RC.

Comment 5 Dan Williams 2008-04-10 16:13:20 UTC
Should have shown up in rawhide already.


Note You need to log in before you can comment on or make changes to this bug.